org.apache.ode.bpel.compiler.bom

## Class ToFrom

- java.lang.Object
- - org.apache.ode.bpel.compiler.bom.BpelObject
  - - org.apache.ode.bpel.compiler.bom.ToFrom

- All Implemented Interfaces:
    SourceLocation
  Direct Known Subclasses:
    ExtensionVal, From, PartnerLinkVal, PropertyVal, To, VariableVal

      public class ToFrom
      extends BpelObject

- - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `ATTR_LINENO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToFrom(org.w3c.dom.Element el)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expression` | `getAsExpression()`
    `ExtensionVal` | `getAsExtensionVal()` Cast this tofrom to an "extension" to/from.
    `PartnerLinkVal` | `getAsPartnerLinkVal()`
    `PropertyVal` | `getAsPropertyVal()`
    `VariableVal` | `getAsVariableVal()`
    `boolean` | `isExtensionVal()` Test whether this to/from is an "extension" to-from (i.e. does it have the "extension" attribute).
    `boolean` | `isPartnerLinkVal()`
    `boolean` | `isPropertyVal()`
    `boolean` | `isVariableVal()`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ToFrom

          public ToFrom(org.w3c.dom.Element el)

  - ### Method Detail

    - #### getAsVariableVal

          public VariableVal getAsVariableVal()

    - #### getAsExtensionVal

          public ExtensionVal getAsExtensionVal()

      Cast this tofrom to an "extension" to/from. This is NOT part of the BPEL spec, and is used to provide access to custom extensions (for example reading/writing SOAP message headers)... Yes. it's evil.
      Returns:
        the object cast to `ExtensionVal` if appropriate, null otherwise.

    - #### isExtensionVal

          public boolean isExtensionVal()

      Test whether this to/from is an "extension" to-from (i.e. does it have the "extension" attribute).
      Returns:

    - #### isVariableVal

          public boolean isVariableVal()

    - #### getAsPartnerLinkVal

          public PartnerLinkVal getAsPartnerLinkVal()

    - #### isPartnerLinkVal

          public boolean isPartnerLinkVal()

    - #### isPropertyVal

          public boolean isPropertyVal()

    - #### getAsPropertyVal

          public PropertyVal getAsPropertyVal()

    - #### getAsExpression

          public Expression getAsExpression()